VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderImageFootprintFeaturesNV Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| PhysicalDeviceShaderImageFootprintFeaturesNV (Bool32 imageFootprint_=0)
| PhysicalDeviceShaderImageFootprintFeaturesNV (VkPhysicalDeviceShaderImageFootprintFeaturesNV const &rhs)
PhysicalDeviceShaderImageFootprintFeaturesNV & | operator= (VkPhysicalDeviceShaderImageFootprintFeaturesNV const &rhs)
PhysicalDeviceShaderImageFootprintFeaturesNV & | setPNext (void *pNext_)
PhysicalDeviceShaderImageFootprintFeaturesNV & | setImageFootprint (Bool32 imageFootprint_)
| operator VkPhysicalDeviceShaderImageFootprintFeaturesNV const & () const
| operator VkPhysicalDeviceShaderImageFootprintFeaturesNV & ()
bool | operator== (PhysicalDeviceShaderImageFootprintFeaturesNV const &rhs) const
bool | operator!= (PhysicalDeviceShaderImageFootprintFeaturesNV const &rhs) const

## Data Fields

void * | pNext = nullptr
Bool32 | imageFootprint

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceShaderImageFootprintFeaturesNV

## Detailed Description

Definition at line 19819 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PhysicalDeviceShaderImageFootprintFeaturesNV() [1/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderImageFootprintFeaturesNV::PhysicalDeviceShaderImageFootprintFeaturesNV | ( | Bool32 | imageFootprint_ = `0` | ) |

inline

Definition at line 19821 of file vulkan.hpp.

: imageFootprint( imageFootprint_ )
{
}

## PhysicalDeviceShaderImageFootprintFeaturesNV() [2/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderImageFootprintFeaturesNV::PhysicalDeviceShaderImageFootprintFeaturesNV | ( | VkPhysicalDeviceShaderImageFootprintFeaturesNV const & | rhs | ) |

inline

Definition at line 19826 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceShaderImageFootprintFeaturesNV ) );
}

References memcpy.

## Member Function Documentation

## operator VkPhysicalDeviceShaderImageFootprintFeaturesNV &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderImageFootprintFeaturesNV::operator VkPhysicalDeviceShaderImageFootprintFeaturesNV & | ( |  | ) |

inline

Definition at line 19853 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceShaderImageFootprintFeaturesNV*>(this);
}

## operator VkPhysicalDeviceShaderImageFootprintFeaturesNV const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderImageFootprintFeaturesNV::operator VkPhysicalDeviceShaderImageFootprintFeaturesNV const & | ( |  | ) | const

inline

Definition at line 19848 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceShaderImageFootprintFeaturesNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderImageFootprintFeaturesNV::operator!= | ( | PhysicalDeviceShaderImageFootprintFeaturesNV const & | rhs | ) | const

inline

Definition at line 19865 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PhysicalDeviceShaderImageFootprintFeaturesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderImageFootprintFeaturesNV::operator= | ( | VkPhysicalDeviceShaderImageFootprintFeaturesNV const & | rhs | ) |

inline

Definition at line 19831 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceShaderImageFootprintFeaturesNV ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderImageFootprintFeaturesNV::operator== | ( | PhysicalDeviceShaderImageFootprintFeaturesNV const & | rhs | ) | const

inline

Definition at line 19858 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( imageFootprint == rhs.imageFootprint );
}

References imageFootprint, pNext, and sType.

Referenced by operator!=().

## setImageFootprint()

PhysicalDeviceShaderImageFootprintFeaturesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderImageFootprintFeaturesNV::setImageFootprint | ( | Bool32 | imageFootprint_ | ) |

inline

Definition at line 19842 of file vulkan.hpp.

{
imageFootprint = imageFootprint_;
return *this;
}

References imageFootprint.

## setPNext()

PhysicalDeviceShaderImageFootprintFeaturesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderImageFootprintFeaturesNV::setPNext | ( | void * | pNext_ | ) |

inline

Definition at line 19836 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## imageFootprint

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderImageFootprintFeaturesNV::imageFootprint

Definition at line 19875 of file vulkan.hpp.

Referenced by operator==(), and setImageFootprint().

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderImageFootprintFeaturesNV::pNext = nullptr

Definition at line 19874 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderImageFootprintFeaturesNV::sType = StructureType::ePhysicalDeviceShaderImageFootprintFeaturesNV

private

Definition at line 19871 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderImageFootprintFeaturesNV::pNext
void * pNext
Definition: vulkan.hpp:19874
VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderImageFootprintFeaturesNV::PhysicalDeviceShaderImageFootprintFeaturesNV
PhysicalDeviceShaderImageFootprintFeaturesNV(Bool32 imageFootprint_=0)
Definition: vulkan.hpp:19821
VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderImageFootprintFeaturesNV::operator==
bool operator==(PhysicalDeviceShaderImageFootprintFeaturesNV const &rhs) const
Definition: vulkan.hpp:19858
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderImageFootprintFeaturesNV::imageFootprint
Bool32 imageFootprint
Definition: vulkan.hpp:19875
VULKAN_HPP_NAMESPACE::PhysicalDeviceShaderImageFootprintFeaturesNV::sType
StructureType sType
Definition: vulkan.hpp:19871
VkPhysicalDeviceShaderImageFootprintFeaturesNV
Definition: vulkan_core.h:8726